from importlib import import_module
from typing import Any

__all__ = ["compute_similarities", "get_similar_motions"]


def _lazy_import(module_name: str):
    return import_module(f".{module_name}", __package__)


def compute_similarities(*args: Any, **kwargs: Any) -> Any:
    module = _lazy_import("compute")
    return getattr(module, "compute_similarities")(*args, **kwargs)


def get_similar_motions(*args: Any, **kwargs: Any) -> Any:
    module = _lazy_import("lookup")
    return getattr(module, "get_similar_motions")(*args, **kwargs)
